xpock-dl: baixe vídeos do xpock.com.br

Publicado por Douglas Augusto 29/10/2007

[ Hits: 5.257 ]

Download xpock-dl




Xpock.com.br é um site brasileiro que provê vídeos ao estilo Youtube.com, e como este requer o plugin Flash ao passo que não fornece acesso direto aos seus vídeos.

O xpock-dl é um shell script que, dado o endereço da página de um vídeo do xpock.com.br, extrai sua URL e o baixa como um arquivo FLV (Macromedia Flash Video). Este formato de vídeo, no entanto, pode normalmente ser visualizado por programas livres como mplayer ou VLC, não sendo assim necessário o Adobe Flash.

Versão de 16/10/2007.

  



Esconder código-fonte

#!/bin/sh

#  xpock-dl - download a video file from xpock.com.br
#
#  USAGE: 
#    xpock-dl video_page_url [video1_page_url ...]
#
#  REQUIRES: curl, sh, sed, grep, basename (coreutils)

#   xpock-dl
#   Copyright (C) 2007  Douglas A. Augusto (daaugusto@gmail.com)
#
#   This program is free software: you can redistribute it and/or modify
#   it under the terms of the GNU General Public License as published by
#   the Free Software Foundation, either version 3 of the License, or
#   (at your option) any later version.
#
#   This program is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.
#
#   You should have received a copy of the GNU General Public License
#   along with this program.  If not, see <http://www.gnu.org/licenses/>.

echo "xpock-dl v20071016"

# Check dependencies
DEP="curl sed grep basename"
for d in $DEP; do
   if ! type -a $d >> /dev/null 2>&1; then echo "Error: $d is required!"; exit 1; fi
done

for i in $*
do
   echo; echo "Extracting video url from $i..."
   FLV=`curl -s -S "$i" | grep "file=" | grep -m 1 "\.flv" | \
        sed 's/.*file=\(.*.flv\).*/\1/'`

   if [ "$?" == "0" -a "$FLV" != "" ]; then 
      echo; echo "Saving $FLV"; 
   else 
      echo "An error occurred!"; exit 1; 
   fi

   OUT=`basename "$FLV"`

   curl --progress-bar "$FLV" -o "$OUT" \
        -w "Downloaded %{size_download} bytes in %{time_total} seconds (%{speed_download}B/s).\n" 

   if [ "$?" == "0" ]; then 
      echo; echo "Video saved as: $OUT"; 
   else 
      echo "An error occurred!"; exit 1; 
   fi

done

Scripts recomendados

Script para criação de diretorio do usuario no Samba com A.D.

Backup Simples de tabela MYSQL

Ajustar a hora com o Observatório Nacional

A-ImgMenus

Compartilhamento de internet


  

Comentários
[1] Comentário enviado por daaugusto em 30/10/2007 - 07:00h

Obs.: 1) O xpock-dl funciona para vídeos de fato hospedados no xpock.com.br. Alguns vídeos do xpock não são hospedados lá, apenas embutidos (como vídeos do metacafe); o script não reconhece esses vídeos.

2) Uma nova versão está para ser publicada. Ela corrige a inserção (proposital ou não) de um caractere espaço antes do "http://" da url de alguns vídeos do site.


Contribuir com comentário




Patrocínio

Site hospedado pelo provedor RedeHost.
Linux banner
Linux banner
Linux banner

Destaques

Artigos

Dicas

Tópicos

Top 10 do mês

Scripts